import type { UseFetchOptions } from "nuxt/app";

export const useHttp = <T>(
  url: string | (() => string),
  options: UseFetchOptions<T> = {}
) => {
  return useFetch(url, { ...options, $fetch: useNuxtApp().$http });
};
